import { RangeSliderType } from './range-slider.enums';
export declare class RangeSliderService {
    private _dataConfig;
    constructor();
    processConfig(type: RangeSliderType, min: any, max: any, step: any, rangeValue: any): {
        connect: boolean;
        start: any[];
        keyboard: boolean;
        step: any;
        pageSteps: number;
        range: {
            min: any;
            max: any;
        };
    };
    getRangeValue(): any;
    getRangeValueLabel(type: RangeSliderType, rangeValue: any, unit: any, unitPrePos: any, step: number): {
        minLabel: string;
        maxLabel: string;
    };
    private _prettifyNumber;
}
